Debian Bug report logs - #600376
perl-base: memory leak in 'use v5.8'

version graph

Package: perl-base; Maintainer for perl-base is Niko Tyni <ntyni@debian.org>; Source for perl-base is src:perl.

Reported by: "onlyjob." <onlyjob@gmail.com>

Date: Sat, 16 Oct 2010 15:45:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version perl/5.10.1-14

Fixed in version perl/5.14.0-1

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Forwarded to http://rt.perl.org/rt3/Ticket/Display.html?id=78436

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#600376; Package perl-base. (Sat, 16 Oct 2010 15:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "onlyjob." <onlyjob@gmail.com>:
New Bug report received and forwarded. Copy sent to Niko Tyni <ntyni@debian.org>. (Sat, 16 Oct 2010 15:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "onlyjob." <onlyjob@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: perl-base: memory leak in 'use v5.8'
Date: Sun, 17 Oct 2010 02:23:34 +1100
Package: perl-base
Version: 5.10.1-14
Severity: normal

There is a memory leak in 'use v5.8;' statement. (Version or notation not
important)

Can be reproduced using following command:
    bash -c 'ulimit -v 70000; perl -e "eval q{use v5.8} while 1;"'

Execution of this command terminates with 'Out of memory!' error after several
seconds.
This is happening on both x86 and x86_64.

Not a big problem, but for persistent FastCGI dispatcher EVALing or DOing other
scripts it is a cause of memory leak.

Thank you.



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (555, 'testing'), (444, 'unstable'), (333, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-vserver-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages perl-base depends on:
ii  dpkg                          1.15.8.5   Debian package management system
ii  libc6                         2.11.2-6   Embedded GNU C Library: Shared lib

perl-base recommends no packages.

Versions of packages perl-base suggests:
ii  perl                          5.10.1-14  Larry Wall's Practical Extraction 

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#600376; Package perl-base. (Tue, 19 Oct 2010 07:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Tue, 19 Oct 2010 07:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 600376@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: "onlyjob." <onlyjob@gmail.com>, 600376@bugs.debian.org
Subject: Re: Bug#600376: perl-base: memory leak in 'use v5.8'
Date: Tue, 19 Oct 2010 10:21:02 +0300
forwarded 600376 http://rt.perl.org/rt3/Ticket/Display.html?id=78436
thanks

On Sun, Oct 17, 2010 at 02:23:34AM +1100, onlyjob. wrote:
> Package: perl-base
> Version: 5.10.1-14
> Severity: normal
> 
> There is a memory leak in 'use v5.8;' statement. (Version or notation not
> important)

Thanks for the report. I've forwarded it upstream with a proposed patch.
-- 
Niko Tyni   ntyni@debian.org




Set Bug forwarded-to-address to 'http://rt.perl.org/rt3/Ticket/Display.html?id=78436'. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Tue, 19 Oct 2010 07:24:05 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 25 Oct 2010 16:36:21 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions perl/5.14.0-1. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Thu, 26 May 2011 16:42:13 GMT) Full text and rfc822 format available.

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Sun, 13 Nov 2011 17:09:54 GMT) Full text and rfc822 format available.

Notification sent to "onlyjob." <onlyjob@gmail.com>:
Bug acknowledged by developer. (Sun, 13 Nov 2011 17:09:54 GMT) Full text and rfc822 format available.

Message #21 received at 600376-done@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 536844-done@bugs.debian.org, 358518-done@bugs.debian.org, 589730-done@bugs.debian.org, 593764-done@bugs.debian.org, 645989-done@bugs.debian.org, 149848-done@bugs.debian.org, 275357-done@bugs.debian.org, 373698-done@bugs.debian.org, 376329-done@bugs.debian.org, 411786-done@bugs.debian.org, 513047-done@bugs.debian.org, 574156-done@bugs.debian.org, 580356-done@bugs.debian.org, 582380-done@bugs.debian.org, 600376-done@bugs.debian.org, 616288-done@bugs.debian.org, 645790-done@bugs.debian.org, 646016-done@bugs.debian.org, 126238-done@bugs.debian.org, 469402-done@bugs.debian.org, 581259-done@bugs.debian.org, 611854-done@bugs.debian.org
Subject: Fixed in perl 5.14
Date: Sun, 13 Nov 2011 17:08:29 +0000
I believe that these bugs have all been fixed in perl 5.14, which
has now migrated from experimental to unstable.

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Dec 2011 07:41:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:08:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.